=== debian/changelog ===
golang-github-aead-minisign (0.3.0-2) unstable; urgency=medium

  * Source-only upload for migration

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 23 Jul 2024 23:50:18 +0000

golang-github-aead-minisign (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #1076584)

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 21 Jul 2024 04:59:48 +0000
