=== debian/control ===
Source: golang-github-aead-minisign
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Mathias Gibbens <gibmat@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-golang-x-crypto-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aead-minisign
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aead-minisign.git
Homepage: https://github.com/aead/minisign
XS-Go-Import-Path: github.com/aead/minisign

Package: golang-github-aead-minisign-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-golang-x-crypto-dev,
         ${misc:Depends}
Description: Simple tool to sign files and verify digital signatures (library)
 minisign is a dead simple tool to sign files and verify signatures.
 This is a Go implementation of the original C implementation by Frank
 Dennis.
